package com.ims.eval.service.custom.impl;


import cn.hutool.core.date.DateField;
import cn.hutool.core.date.DateUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.ims.eval.config.ImaConfig;
import com.ims.eval.entity.custom.Bbk1015Result;
import com.ims.eval.entity.custom.BbkResult;
import com.ims.eval.entity.custom.Data1011Result;
import com.ims.eval.entity.custom.Data1015Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.*;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import javax.servlet.http.HttpServletRequest;
import java.util.*;
import java.util.stream.Collectors;

/**
 * <p>
 * 基础指标对标 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-12
 */
@Service
@Slf4j
public class BasicIndicatorBenchmarkingService {

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private ImaConfig imaConfig;

	private List<Data1015Result> list;

	/**
	 * 获取对标数据错误
	 *
	 * @param body
	 * @return
	 */
	public JSONObject queryData(JSONObject body, HttpServletRequest request) {
		HttpHeaders headers = new HttpHeaders();
		headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
		headers.add("zb-token", "a1d48f2759e0f311375247eb1f7462cad8e64f8b21654c1a9f02f43b45976ff7");

		//请求参数为body
		HttpEntity<String> requestEntity = new HttpEntity<>(body.toString(), headers);
		ResponseEntity<String> responseEntity2 = restTemplate.exchange(imaConfig.getZbdbUrl() + "/queryData", HttpMethod.POST, requestEntity, String.class);
		log.info("\n code:{}\n header:{}\n body:{}\n", responseEntity2.getStatusCodeValue(), responseEntity2.getHeaders(), responseEntity2.getBody());
		if (200 == responseEntity2.getStatusCodeValue()) {
			return JSON.parseObject(responseEntity2.getBody());
		}
		return null;
	}

	/**
	 * 获取对标数据错误
	 *
	 * @param body
	 * @return
	 */
	public Map queryData1011(JSONObject body, HttpServletRequest request) {
		Map count = new LinkedHashMap();

		HttpHeaders headers = new HttpHeaders();
		headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
		headers.add("zb-token", "a1d48f2759e0f311375247eb1f7462cad8e64f8b21654c1a9f02f43b45976ff7");

		//请求参数为body----本期
		HttpEntity<String> requestEntity = new HttpEntity<>(body.toString(), headers);
		ResponseEntity<String> responseEntity2 = restTemplate.exchange(imaConfig.getZbdbUrl() + "/queryData", HttpMethod.POST, requestEntity, String.class);
		log.info("\n code:{}\n header:{}\n body:{}\n", responseEntity2.getStatusCodeValue(), responseEntity2.getHeaders(), responseEntity2.getBody());

		JSONObject obj = body.getJSONObject("map");
		String oldStartTime = obj.getString("startTime");
		String oldEndTime = obj.getString("endTime");

		//同比数据
		String startTimeTB = DateUtil.formatDate(DateUtil.offset(DateUtil.parse(oldStartTime), DateField.YEAR, -1));
		obj.remove("startTime");
		obj.put("startTime", startTimeTB);
		String endTimeTB = DateUtil.formatDate(DateUtil.offset(DateUtil.parse(oldEndTime), DateField.YEAR, -1));
		obj.remove("endTime");
		obj.put("endTime", endTimeTB);

		//请求参数为body----同比
		HttpEntity<String> requestEntityTB = new HttpEntity<>(body.toString(), headers);
		ResponseEntity<String> responseEntity2TB = restTemplate.exchange(imaConfig.getZbdbUrl() + "/queryData", HttpMethod.POST, requestEntityTB, String.class);
		log.info("\n code:{}\n header:{}\n body:{}\n", responseEntity2TB.getStatusCodeValue(), responseEntity2TB.getHeaders(), responseEntity2TB.getBody());
		//同比数据
		List<Data1011Result> tbList = null;
		if (200 == responseEntity2TB.getStatusCodeValue()) {
			BbkResult result = JSON.parseObject(responseEntity2TB.getBody()).toJavaObject(BbkResult.class);
			if (200 == result.getCode()) {
				tbList = result.getData();
			}
		}

		//环比数据
		String startTimeHB = DateUtil.formatDate(DateUtil.offsetMonth(DateUtil.parse(oldStartTime), -1));
		obj.remove("startTime");
		obj.put("startTime", startTimeHB);
		String endTimeHB = DateUtil.formatDate(DateUtil.offsetMonth(DateUtil.parse(oldEndTime), -1));
		obj.remove("endTime");
		obj.put("endTime", endTimeHB);

		//请求参数为body----环比
		HttpEntity<String> requestEntityHB = new HttpEntity<>(body.toString(), headers);
		ResponseEntity<String> responseEntity2HB = restTemplate.exchange(imaConfig.getZbdbUrl() + "/queryData", HttpMethod.POST, requestEntityHB, String.class);
		log.info("\n code:{}\n header:{}\n body:{}\n", responseEntity2HB.getStatusCodeValue(), responseEntity2HB.getHeaders(), responseEntity2HB.getBody());
		//同比数据
		List<Data1011Result> hbList = null;
		if (200 == responseEntity2HB.getStatusCodeValue()) {
			BbkResult result = JSON.parseObject(responseEntity2HB.getBody()).toJavaObject(BbkResult.class);
			if (200 == result.getCode()) {
				hbList = result.getData();
			}
		}

		if (200 == responseEntity2.getStatusCodeValue()) {
			BbkResult result = JSON.parseObject(responseEntity2.getBody()).toJavaObject(BbkResult.class);
			if (200 == result.getCode()) {
				List<Data1011Result> list = result.getData();
				// 填充动态头部分组并保持顺序，然后对每个分组内的元素按 time 降序排序
				Map<String, List<Data1011Result>> orgCodeSortedByTime = list.stream()
					.collect(Collectors.groupingBy(
						data -> data.getOrgCode() + "_" + data.getOrgName(), // 使用orgCode和orgName的组合作为键
						Collectors.collectingAndThen(
							Collectors.toList(),
							l -> list.stream()
								.sorted(Comparator.comparing(Data1011Result::getTime)) // 按time升序排序
								.collect(Collectors.toList())
						)
					));

				//填充标题
				List<Map> titleArray = new ArrayList<>();
				final Map[] titletime = {null};
				orgCodeSortedByTime.forEach((key, results) -> {
					String[] parts = key.split("_");
					String orgCode = parts[0];
					String orgName = parts[1];
					if (null == titletime[0]) {
						titletime[0] = new LinkedHashMap();
						titletime[0].put("name", "频度");//名称
						titletime[0].put("code", "time");//code
						titleArray.add(titletime[0]);
					}
					Map titleorg = new LinkedHashMap();
					titleorg.put("name", orgName);//名称
					titleorg.put("code", orgCode);//code
					titleArray.add(titleorg);
				});
				count.put("title", titleArray);

				// 填充内容 根据time字段进行分组
				List<Map> listmap = new ArrayList<>();
				Map<String, List<Data1011Result>> groupedByTime = list.stream()
					.collect(Collectors.groupingBy(
						Data1011Result::getTime, // 分组键是Data1011Result对象的time字段
						Collectors.toList() // 将每个组的元素收集到列表中
					))
					.entrySet()
					.stream()
					.sorted(Map.Entry.comparingByKey()) // 按键（时间）升序排序分组后的Map.Entry
					.collect(Collectors.toMap(
						Map.Entry::getKey, // 新Map的键是原Map.Entry的键
						Map.Entry::getValue, // 新Map的值是原Map.Entry的值
						(oldValue, newValue) -> oldValue, // 如果键冲突，保留旧值（理论上不应该发生，因为Map.Entry是唯一的）
						LinkedHashMap::new // 使用LinkedHashMap来保持插入顺序（这里实际上是排序后的顺序）
					));

				// 组合行
				List<Data1011Result> finalTbList = tbList;
				List<Data1011Result> finalHbList = hbList;
				groupedByTime.forEach((time, results) -> {
					Map row = new LinkedHashMap();
					for (Data1011Result r : results) {
						if (null == row.get("time")) {
							row.put("time", r.getTime());
							count.put("itemName", r.getItemName());
						}
						row.put(r.getOrgCode(), r.getValue());
						if (finalTbList.size() > 0) {
							Data1011Result r1 = finalTbList.stream().filter(item -> item.getTime().equals(r.getTime())).findFirst().orElse(null);
							if (null != r1) {
								row.put(r.getOrgCode() + "_t", r1.getValue());
							} else {
								row.put(r.getOrgCode() + "_t", null);
							}
						} else {
							row.put(r.getOrgCode() + "_t", null);
						}
						if (finalHbList.size() > 0) {
							Data1011Result r1 = finalHbList.stream().filter(item -> item.getTime().equals(r.getTime())).findFirst().orElse(null);
							if (null != r1) {
								row.put(r.getOrgCode() + "_h", r1.getValue());
							} else {
								row.put(r.getOrgCode() + "_h", null);
							}
						} else {
							row.put(r.getOrgCode() + "_h", null);
						}
					}
					listmap.add(row);
				});
				count.put("list", listmap);
			}
		}
		return count;
	}

	public List<Data1015Result> queryData1015(JSONObject body, HttpServletRequest request) {


		if (null != list && list.size() > 0) {
			return list;
		}
		HttpHeaders headers = new HttpHeaders();
		headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
		headers.add("zb-token", "a1d48f2759e0f311375247eb1f7462cad8e64f8b21654c1a9f02f43b45976ff7");

		//请求参数为body
		HttpEntity<String> requestEntity = new HttpEntity<>(body.toString(), headers);
		ResponseEntity<String> responseEntity2 = restTemplate.exchange(imaConfig.getZbdbUrl() + "/queryData", HttpMethod.POST, requestEntity, String.class);
		log.info("\n code:{}\n header:{}\n body:{}\n", responseEntity2.getStatusCodeValue(), responseEntity2.getHeaders(), responseEntity2.getBody());
		if (200 == responseEntity2.getStatusCodeValue()) {
			Bbk1015Result result = JSON.parseObject(responseEntity2.getBody()).toJavaObject(Bbk1015Result.class);

/*		if (200 ==200) {
			String str = "{\"msg\":\"success\",\"code\":200,\"data\":[{\"parent\":100247,\"districtCode\":\"内蒙古自治区\",\"geomY\":\"\",\"geomX\":\"\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08615062302\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国家能源集团内蒙古上海庙发电有限公司\",\"irn\":1171358,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211040010162002\",\"orgLocal\":\"上海庙二期\",\"provinceIrn\":150000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"2000\",\"provinceLocalName\":\"内蒙古自治区\",\"jzts\":2,\"status\":1},{\"parent\":626609,\"districtCode\":\"\",\"geomY\":\"0\",\"geomX\":\"0\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"2022/11/7新增管理单位,集团表格\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08621088101\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"辽宁国电电力能源有限公司\",\"irn\":99105194,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"08621088101\",\"orgLocal\":\"辽宁能源公司\",\"provinceIrn\":\"\",\"orgFdType\":\"100262\",\"lyStationId\":\"\",\"rl\":\"0\",\"provinceLocalName\":\"\",\"jzts\":\"\",\"status\":1},{\"parent\":100261,\"districtCode\":\"天津\",\"geomY\":\"38.669331\",\"geomX\":\"117.360329\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08612010004\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"天津国电洁能电力有限公司\",\"irn\":104458,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410030003022182\",\"orgLocal\":\"沙井子风电场\",\"provinceIrn\":120000,\"orgFdType\":\"100261\",\"lyStationId\":\"gdFdC077\",\"rl\":\"191.5\",\"provinceLocalName\":\"天津\",\"jzts\":120,\"status\":1},{\"parent\":100247,\"districtCode\":\"河北省\",\"geomY\":\"40.950595\",\"geomX\":\"117.768596\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08613080002\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电承德热电有限公司\",\"irn\":104457,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211060017002183\",\"orgLocal\":\"承德热电\",\"provinceIrn\":130000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"660\",\"provinceLocalName\":\"河北省\",\"jzts\":2,\"status\":1},{\"parent\":100247,\"districtCode\":\"天津市\",\"geomY\":\"39.223273\",\"geomX\":\"117.366199\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08612010005\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"天津国电津能热电有限公司\",\"irn\":104459,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211030003010185\",\"orgLocal\":\"津能热电\",\"provinceIrn\":120000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"660\",\"provinceLocalName\":\"天津市\",\"jzts\":2,\"status\":1},{\"parent\":100261,\"districtCode\":\"广西\",\"geomY\":\"24.97151\",\"geomX\":\"108.795\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08645010023\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力广西风电开发有限公司\",\"irn\":99105088,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410210247091170\",\"orgLocal\":\"国电广西风电\",\"provinceIrn\":450000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"86\",\"provinceLocalName\":\"广西\",\"jzts\":43,\"status\":1},{\"parent\":100247,\"districtCode\":\"天津市\",\"geomY\":\"39.104068\",\"geomX\":\"117.659486\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08612010007\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电天津津能滨海热电有限公司\",\"irn\":104477,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211030003007188\",\"orgLocal\":\"津能滨海\",\"provinceIrn\":120000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"700\",\"provinceLocalName\":\"天津市\",\"jzts\":2,\"status\":1},{\"parent\":100247,\"districtCode\":\"河北省\",\"geomY\":\"39.497433\",\"geomX\":\"116.78053\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08613100001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电华北电力有限公司廊坊热电厂\",\"irn\":104478,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211060019027205\",\"orgLocal\":\"廊坊热电\",\"provinceIrn\":130000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"700\",\"provinceLocalName\":\"河北省\",\"jzts\":2,\"status\":1},{\"parent\":100247,\"districtCode\":\"河北省\",\"geomY\":\"40.850595\",\"geomX\":\"117.568596\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08613080008\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电滦河热电有限公司\",\"irn\":104491,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211060017002187\",\"orgLocal\":\"滦河热电\",\"provinceIrn\":130000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"330\",\"provinceLocalName\":\"河北省\",\"jzts\":1,\"status\":1},{\"parent\":100262,\"districtCode\":\"山西省\",\"geomY\":\"0\",\"geomX\":\"0\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"JT\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08614060008\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电朔州海丰风力发电有限责任公司（光伏）\",\"irn\":99105133,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510050128056002\",\"orgLocal\":\"国电熠彩光伏电站\",\"provinceIrn\":140000,\"orgFdType\":\"100262\",\"lyStationId\":\"\",\"rl\":\"90\",\"provinceLocalName\":\"山西省\",\"jzts\":0,\"status\":1},{\"parent\":626609,\"districtCode\":\"山东省\",\"geomY\":\"37.16\",\"geomX\":\"120.94\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08637061201\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力山东新能源开发有限公司\",\"irn\":105182,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"10052409\",\"orgLocal\":\"山东新能源\",\"provinceIrn\":370000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"630.734\",\"provinceLocalName\":\"山东省\",\"jzts\":213,\"status\":1},{\"parent\":626609,\"districtCode\":\"广东省\",\"geomY\":\"22.53\",\"geomX\":\"113.54\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08644040002\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力广东新能源开发有限公司\",\"irn\":105197,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"10052435\",\"orgLocal\":\"广东新能源\",\"provinceIrn\":440000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"99\",\"provinceLocalName\":\"广东省\",\"jzts\":66,\"status\":1},{\"parent\":626609,\"districtCode\":\"新疆维吾尔自治区\",\"geomY\":\"43.792\",\"geomX\":\"87.624\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08665010001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力新疆新能源开发有限公司\",\"irn\":105225,\"powerLocalName\":\"新能源\",\"orgCodeJt\":\"10092408\",\"orgLocal\":\"新疆新能源\",\"provinceIrn\":650000,\"orgFdType\":\"626609\",\"lyStationId\":\"\",\"rl\":\"318.5\",\"provinceLocalName\":\"新疆维吾尔自治区\",\"jzts\":\"\",\"status\":1},{\"parent\":626609,\"districtCode\":\"湖南省\",\"geomY\":\"28.3\",\"geomX\":\"113.27\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08643010201\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力湖南新能源开发有限公司\",\"irn\":105229,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"10051647\",\"orgLocal\":\"湖南新能源\",\"provinceIrn\":430000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"245.8\",\"provinceLocalName\":\"湖南省\",\"jzts\":99,\"status\":1},{\"parent\":100247,\"districtCode\":\"内蒙古自治区\",\"geomY\":\"39.2104\",\"geomX\":\"109.8191\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08615062701\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电建投内蒙古能源布连电厂\",\"irn\":105283,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211040010166203\",\"orgLocal\":\"布连电厂\",\"provinceIrn\":150000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"1320\",\"provinceLocalName\":\"内蒙古自治区\",\"jzts\":2,\"status\":1},{\"parent\":100247,\"districtCode\":\"云南省\",\"geomY\":\"26.193\",\"geomX\":\"104.117\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08653038101\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力发展股份有限公司宣威分公司\",\"irn\":105286,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211240281023202\",\"orgLocal\":\"宣威公司\",\"provinceIrn\":530000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"600\",\"provinceLocalName\":\"云南省\",\"jzts\":2,\"status\":1},{\"parent\":100261,\"districtCode\":\"辽宁省\",\"geomY\":\"40.53\",\"geomX\":\"121.34\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08621012303\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电优能（康平）风电有限公司\",\"irn\":105298,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410070028223136\",\"orgLocal\":\"康平风电\",\"provinceIrn\":210000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"145.5\",\"provinceLocalName\":\"辽宁省\",\"jzts\":33,\"status\":1},{\"parent\":626609,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"38.49\",\"geomX\":\"106.235\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08664010004\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力宁夏新能源开发有限公司\",\"irn\":105327,\"powerLocalName\":\"新能源\",\"orgCodeJt\":\"10061363\",\"orgLocal\":\"宁夏新能源\",\"provinceIrn\":150000,\"orgFdType\":\"626609\",\"lyStationId\":\"\",\"rl\":\"787.067\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":505,\"status\":1},{\"parent\":100247,\"districtCode\":\"天津市\",\"geomY\":\"38.790858\",\"geomX\":\"117.507745\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08612000008\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国神大港发电厂\",\"irn\":709041,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211030003009206\",\"orgLocal\":\"国神大港\",\"provinceIrn\":120000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"1314\",\"provinceLocalName\":\"天津市\",\"jzts\":4,\"status\":1},{\"parent\":100247,\"districtCode\":\"河北省\",\"geomY\":\"39.954977\",\"geomX\":\"119.65074\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08613030002\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国神秦皇岛发电公司\",\"irn\":709044,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211060023084207\",\"orgLocal\":\"国神秦电\",\"provinceIrn\":130000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"1070\",\"provinceLocalName\":\"河北省\",\"jzts\":4,\"status\":1},{\"parent\":100247,\"districtCode\":\"陕西省\",\"geomY\":\"38.744862\",\"geomX\":\"110.173379\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08661080006\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国华锦界发电公司\",\"irn\":709149,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211250303153216\",\"orgLocal\":\"国华锦界\",\"provinceIrn\":610000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"3720\",\"provinceLocalName\":\"陕西省\",\"jzts\":4,\"status\":1},{\"parent\":100247,\"districtCode\":\"辽宁省\",\"geomY\":\"40.752563\",\"geomX\":\"120.935419\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08621142101\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国华绥中发电公司\",\"irn\":709165,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211070041311215\",\"orgLocal\":\"国华绥中\",\"provinceIrn\":210000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"3760\",\"provinceLocalName\":\"辽宁省\",\"jzts\":4,\"status\":1},{\"parent\":100247,\"districtCode\":\"河北省\",\"geomY\":\"39.951593\",\"geomX\":\"116.861979\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08613108201\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国华三河发电公司\",\"irn\":709167,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211060019034214\",\"orgLocal\":\"国华三河\",\"provinceIrn\":130000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"1330\",\"provinceLocalName\":\"河北省\",\"jzts\":4,\"status\":1},{\"parent\":100247,\"districtCode\":\"\",\"geomY\":\"21.26\",\"geomX\":\"86.31\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08652242507\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"神华国华印尼爪哇发电有限责任公司\",\"irn\":1153347,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211400001001219\",\"orgLocal\":\"爪哇公司\",\"provinceIrn\":\"\",\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"2100\",\"provinceLocalName\":\"\",\"jzts\":2,\"status\":1},{\"parent\":100247,\"districtCode\":\"内蒙古自治区\",\"geomY\":\"\",\"geomX\":\"\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08688220011\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"胜利发电\",\"irn\":1171355,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"A000218\",\"orgLocal\":\"胜利电厂\",\"provinceIrn\":150000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"1320\",\"provinceLocalName\":\"内蒙古自治区\",\"jzts\":2,\"status\":1},{\"parent\":100247,\"districtCode\":\"内蒙古自治区\",\"geomY\":\"\",\"geomX\":\"\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08615062301\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力双维内蒙古上海庙能源有限公司\",\"irn\":1171357,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211040010162001\",\"orgLocal\":\"上海庙一期\",\"provinceIrn\":150000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"2000\",\"provinceLocalName\":\"内蒙古自治区\",\"jzts\":2,\"status\":1},{\"parent\":100261,\"districtCode\":\"辽宁省\",\"geomY\":\"42.07\",\"geomX\":\"123.06\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08621140001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电和风风电开发有限公司\",\"irn\":105128,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"10052416\",\"orgLocal\":\"和风风电\",\"provinceIrn\":210000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"1091.5\",\"provinceLocalName\":\"辽宁省\",\"jzts\":664,\"status\":1},{\"parent\":100261,\"districtCode\":\"江西\",\"geomY\":\"25.39524\",\"geomX\":\"114.0922\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08636072302\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力江西新能源开发有限公司大余分公司天华山风电场\",\"irn\":1122763,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410140139124172\",\"orgLocal\":\"天华山风电场\",\"provinceIrn\":360000,\"orgFdType\":\"100261\",\"lyStationId\":\"gdFdC073\",\"rl\":\"48\",\"provinceLocalName\":\"江西\",\"jzts\":22,\"status\":1},{\"parent\":626609,\"districtCode\":\"河北省\",\"geomY\":\"40.77\",\"geomX\":\"115.24\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08613070001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力河北新能源开发有限公司\",\"irn\":105167,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"\",\"orgLocal\":\"河北新能源\",\"provinceIrn\":130000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"690.5\",\"provinceLocalName\":\"河北省\",\"jzts\":330,\"status\":1},{\"parent\":626609,\"districtCode\":\"内蒙古自治区\",\"geomY\":\"40.8194\",\"geomX\":\"111.7139\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08615010018\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力内蒙古新能源开发有限公司\",\"irn\":105189,\"powerLocalName\":\"新能源\",\"orgCodeJt\":\"\",\"orgLocal\":\"内蒙古新能源\",\"provinceIrn\":150000,\"orgFdType\":\"626609\",\"lyStationId\":\"\",\"rl\":\"509.66\",\"provinceLocalName\":\"内蒙古自治区\",\"jzts\":255,\"status\":1},{\"parent\":100247,\"districtCode\":\"河北省\",\"geomY\":\"40.654012\",\"geomX\":\"114.420075\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08613072801\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电怀安热电有限公司\",\"irn\":104456,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211060027163184\",\"orgLocal\":\"怀安热电\",\"provinceIrn\":130000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"660\",\"provinceLocalName\":\"河北省\",\"jzts\":2,\"status\":1},{\"parent\":626954,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"39.2105\",\"geomX\":\"109.8191\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08664020502\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"察哈素煤矿有限公司\",\"irn\":105284,\"powerLocalName\":\"煤炭\",\"orgCodeJt\":\"\",\"orgLocal\":\"察哈素煤矿\",\"provinceIrn\":150000,\"orgFdType\":\"626954\",\"lyStationId\":\"\",\"rl\":\"\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":\"\",\"status\":1},{\"parent\":100258,\"districtCode\":\"辽宁省\",\"geomY\":\"41.28\",\"geomX\":\"124\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08621062401\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电和禹水电开发公司\",\"irn\":105117,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"和禹水电\",\"provinceIrn\":210000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"498.5\",\"provinceLocalName\":\"辽宁省\",\"jzts\":\"\",\"status\":1},{\"parent\":100258,\"districtCode\":\"福建省\",\"geomY\":\"25.825\",\"geomX\":\"118.878\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08635010008\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力福建新能源开发有限公司\",\"irn\":105222,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"福建新能源\",\"provinceIrn\":350000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"81.1399\",\"provinceLocalName\":\"福建省\",\"jzts\":\"\",\"status\":1},{\"parent\":626609,\"districtCode\":\"甘肃省\",\"geomY\":\"36.06\",\"geomX\":\"103.824\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08662090004\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力甘肃新能源开发有限公司\",\"irn\":105154,\"powerLocalName\":\"新能源\",\"orgCodeJt\":\"\",\"orgLocal\":\"甘肃新能源\",\"provinceIrn\":620000,\"orgFdType\":\"626609\",\"lyStationId\":\"\",\"rl\":\"37\",\"provinceLocalName\":\"甘肃省\",\"jzts\":\"\",\"status\":1},{\"parent\":100258,\"districtCode\":\"青海省\",\"geomY\":\"36.58\",\"geomX\":\"101.84\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08663220001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力青海万立水电开发有限公司\",\"irn\":105206,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"青海万立\",\"provinceIrn\":630000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"69.5\",\"provinceLocalName\":\"青海省\",\"jzts\":\"\",\"status\":1},{\"parent\":100258,\"districtCode\":\"新疆维吾尔自治区\",\"geomY\":\"43.851\",\"geomX\":\"82.831\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08665010008\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电新疆吉林台水电开发有限公司\",\"irn\":104915,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"吉林台水电\",\"provinceIrn\":650000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"1080\",\"provinceLocalName\":\"新疆维吾尔自治区\",\"jzts\":\"\",\"status\":1},{\"parent\":100258,\"districtCode\":\"新疆维吾尔自治区\",\"geomY\":\"42.25018534\",\"geomX\":\"89.18164927\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08665210101\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电青松吐鲁番新能源有限公司\",\"irn\":104947,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"青松新能源\",\"provinceIrn\":650000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"122\",\"provinceLocalName\":\"新疆维吾尔自治区\",\"jzts\":\"\",\"status\":1},{\"parent\":100258,\"districtCode\":\"新疆维吾尔自治区\",\"geomY\":\"42.268473\",\"geomX\":\"86.0679673\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08665280101\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电新疆开都河水电开发有限公司\",\"irn\":104922,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"开都河水电\",\"provinceIrn\":650000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"510\",\"provinceLocalName\":\"新疆维吾尔自治区\",\"jzts\":\"\",\"status\":1},{\"parent\":100258,\"districtCode\":\"新疆维吾尔自治区\",\"geomY\":\"41.2\",\"geomX\":\"80.21\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08665290101\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电阿克苏河流域水电开发有限公司\",\"irn\":104925,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"阿克苏水电\",\"provinceIrn\":650000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"281.5\",\"provinceLocalName\":\"新疆维吾尔自治区\",\"jzts\":\"\",\"status\":1},{\"parent\":100247,\"districtCode\":\"\",\"geomY\":\"19.65\",\"geomX\":\"88.01\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"06200000001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国华印尼发电公司\",\"irn\":709151,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211400001001217\",\"orgLocal\":\"印尼南苏\",\"provinceIrn\":\"\",\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"300\",\"provinceLocalName\":\"\",\"jzts\":2,\"status\":1},{\"parent\":100261,\"districtCode\":\"安徽省\",\"geomY\":\"31.84178\",\"geomX\":\"117.19811\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08634010008\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电皖能安徽风电有限公司\",\"irn\":105102,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"A000203\",\"orgLocal\":\"安徽风电\",\"provinceIrn\":340000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"194\",\"provinceLocalName\":\"安徽省\",\"jzts\":97,\"status\":1},{\"parent\":100247,\"districtCode\":\"天津市\",\"geomY\":\"40.080149\",\"geomX\":\"117.397289\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08621112201\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国华盘山发电公司\",\"irn\":709162,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211030003018213\",\"orgLocal\":\"国华盘山\",\"provinceIrn\":120000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"1060\",\"provinceLocalName\":\"天津市\",\"jzts\":2,\"status\":1},{\"parent\":100258,\"districtCode\":\"安徽省\",\"geomY\":\"30.826944\",\"geomX\":\"116.406111\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08634010003\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电安徽毛尖山水电有限公司\",\"irn\":105088,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"110110085144204\",\"orgLocal\":\"毛尖山水电\",\"provinceIrn\":340000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"30\",\"provinceLocalName\":\"安徽省\",\"jzts\":\"\",\"status\":1},{\"parent\":626609,\"districtCode\":\"青海省\",\"geomY\":\"37.12\",\"geomX\":\"101.56\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08663010003\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力青海新能源开发有限公司\",\"irn\":105234,\"powerLocalName\":\"新能源\",\"orgCodeJt\":\"\",\"orgLocal\":\"青海新能源\",\"provinceIrn\":630000,\"orgFdType\":\"626609\",\"lyStationId\":\"\",\"rl\":\"129.5\",\"provinceLocalName\":\"青海省\",\"jzts\":33,\"status\":1},{\"parent\":100258,\"districtCode\":\"\",\"geomY\":\"\",\"geomX\":\"\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08634080001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"安徽岳西天力水电有限责任公司\",\"irn\":105091,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"天力水电\",\"provinceIrn\":\"\",\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"19.9\",\"provinceLocalName\":\"\",\"jzts\":\"\",\"status\":1},{\"parent\":626609,\"districtCode\":\"山西省\",\"geomY\":\"39.99\",\"geomX\":\"113.58\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08614020004\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力山西新能源开发有限公司\",\"irn\":105172,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"\",\"orgLocal\":\"山西新能源\",\"provinceIrn\":140000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"973.5\",\"provinceLocalName\":\"山西省\",\"jzts\":487,\"status\":1},{\"parent\":100247,\"districtCode\":\"山西省\",\"geomY\":\"40.0003\",\"geomX\":\"113.3\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08614020002\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力大同发电有限责任公司\",\"irn\":105278,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"\",\"orgLocal\":\"大同公司\",\"provinceIrn\":140000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"2520\",\"provinceLocalName\":\"山西省\",\"jzts\":4,\"status\":1},{\"parent\":100261,\"districtCode\":\"浙江省\",\"geomY\":\"29.9674\",\"geomX\":\"121.6431\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08633020001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电宁波风电开发有限公司\",\"irn\":105203,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"10061371\",\"orgLocal\":\"宁波风电\",\"provinceIrn\":330000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"171\",\"provinceLocalName\":\"浙江省\",\"jzts\":99,\"status\":1},{\"parent\":100261,\"districtCode\":\"浙江省\",\"geomY\":\"29.351\",\"geomX\":\"123.173\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08633090003\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电浙江舟山海上风电开发有限公司\",\"irn\":105237,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"420130119070164\",\"orgLocal\":\"舟山海上风电\",\"provinceIrn\":330000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"252\",\"provinceLocalName\":\"浙江省\",\"jzts\":63,\"status\":1},{\"parent\":626609,\"districtCode\":\"云南省\",\"geomY\":\"25.4\",\"geomX\":\"102.9\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08653290101\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力云南新能源开发有限公司\",\"irn\":105213,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"A000023\",\"orgLocal\":\"云南新能源\",\"provinceIrn\":530000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"309.5\",\"provinceLocalName\":\"云南省\",\"jzts\":146,\"status\":1},{\"parent\":100258,\"districtCode\":\"浙江省\",\"geomY\":\"28.296194\",\"geomX\":\"120.117139\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08633110001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电浙江瓯江水电开发有限公司\",\"irn\":105297,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"110130121083193\",\"orgLocal\":\"瓯江水电\",\"provinceIrn\":330000,\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"48\",\"provinceLocalName\":\"浙江省\",\"jzts\":\"\",\"status\":1},{\"parent\":100261,\"districtCode\":\"河北\",\"geomY\":\"42.1468\",\"geomX\":\"116.993\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08613080006\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电承德华御新能源有限公司\",\"irn\":99105089,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410060017011181\",\"orgLocal\":\"天桥山风电场\",\"provinceIrn\":130000,\"orgFdType\":\"100261\",\"lyStationId\":\"gdFdC078\",\"rl\":\"249.5\",\"provinceLocalName\":\"河北\",\"jzts\":133,\"status\":1},{\"parent\":100258,\"districtCode\":\"\",\"geomY\":\"\",\"geomX\":\"\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08634188106\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电安徽毛尖山水电有限公司宁国分公司\",\"irn\":99105091,\"powerLocalName\":\"水电\",\"orgCodeJt\":\"\",\"orgLocal\":\"宁国分公司\",\"provinceIrn\":\"\",\"orgFdType\":\"100258\",\"lyStationId\":\"\",\"rl\":\"\",\"provinceLocalName\":\"\",\"jzts\":\"\",\"status\":1},{\"parent\":105278,\"districtCode\":\"山西省\",\"geomY\":\"40.0003\",\"geomX\":\"113.3\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08614020009\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"大同二期\",\"irn\":99105102,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211050124021200\",\"orgLocal\":\"大同二期\",\"provinceIrn\":140000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"1200\",\"provinceLocalName\":\"山西省\",\"jzts\":4,\"status\":1},{\"parent\":105278,\"districtCode\":\"山西省\",\"geomY\":\"40.0003\",\"geomX\":\"113.3\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08614020010\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"大同三期\",\"irn\":99105103,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"211050124021201\",\"orgLocal\":\"大同三期\",\"provinceIrn\":140000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"1320\",\"provinceLocalName\":\"山西省\",\"jzts\":4,\"status\":1},{\"parent\":100261,\"districtCode\":\"浙江省-浙江省宁波市鄞州区横溪镇洋杨山村（夏凉）\",\"geomY\":\"29.7207963\",\"geomX\":\"121.6078263\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"JT\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08633028303\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电奉化风力发电有限公司\",\"irn\":99105125,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410130112019155\",\"orgLocal\":\"奉化风电\",\"provinceIrn\":330000,\"orgFdType\":\"100261\",\"lyStationId\":\"\",\"rl\":\"22.5\",\"provinceLocalName\":\"浙江省-浙江省宁波市鄞州区横溪镇洋杨山村（夏凉）\",\"jzts\":1,\"status\":1},{\"parent\":626609,\"districtCode\":\"辽宁省\",\"geomY\":\"0\",\"geomX\":\"0\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"JT\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08621011502\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"沈阳国电电力新能源开发有限公司\",\"irn\":99105134,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510070028229002\",\"orgLocal\":\"沈阳国电电力新能源\",\"provinceIrn\":210000,\"orgFdType\":\"100262\",\"lyStationId\":\"\",\"rl\":\"11.6\",\"provinceLocalName\":\"辽宁省\",\"jzts\":0,\"status\":1},{\"parent\":100262,\"districtCode\":\"新疆维吾尔自治区\",\"geomY\":\"40.4755\",\"geomX\":\"96.283\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"JT\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08662092205\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力瓜州风力发电有限公司（光伏）\",\"irn\":99105156,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510260314223002\",\"orgLocal\":\"国电瓜州风电（光伏）\",\"provinceIrn\":650000,\"orgFdType\":\"100262\",\"lyStationId\":\"\",\"rl\":\"50\",\"provinceLocalName\":\"新疆维吾尔自治区\",\"jzts\":0,\"status\":1},{\"parent\":100262,\"districtCode\":\"陕西省\",\"geomY\":\"38.44\",\"geomX\":\"110.9\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"JT\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08661080101\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国能锦界能源有限责任公司（光伏）\",\"irn\":99105159,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510250303153001\",\"orgLocal\":\"锦界光伏\",\"provinceIrn\":610000,\"orgFdType\":\"100262\",\"lyStationId\":\"\",\"rl\":\"2.7\",\"provinceLocalName\":\"陕西省\",\"jzts\":0,\"status\":1},{\"parent\":105225,\"districtCode\":\"新疆维吾尔自治区\",\"geomY\":\"43.01859\",\"geomX\":\"93.96978\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08665220005\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力哈密光伏发电有限公司\",\"irn\":105227,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"10039933\",\"orgLocal\":\"哈密能源\",\"provinceIrn\":650000,\"orgFdType\":\"100262\",\"lyStationId\":\"\",\"rl\":\"20\",\"provinceLocalName\":\"新疆维吾尔自治区\",\"jzts\":\"\",\"status\":1},{\"parent\":100247,\"districtCode\":\"北京市\",\"geomY\":\"39.966335\",\"geomX\":\"116.629722\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"0861101057F\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国华北京燃气热电\",\"irn\":709154,\"powerLocalName\":\"火电\",\"orgCodeJt\":\"221010001005218\",\"orgLocal\":\"北京燃气\",\"provinceIrn\":110000,\"orgFdType\":\"100247\",\"lyStationId\":\"\",\"rl\":\"951\",\"provinceLocalName\":\"北京市\",\"jzts\":3,\"status\":1},{\"parent\":626609,\"districtCode\":\"云南省\",\"geomY\":\"\",\"geomX\":\"\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"JT\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08653038102\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"曲靖宣威国电新能源科技有限公司\",\"irn\":99105174,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510240281023001\",\"orgLocal\":\"宣威国电新能源\",\"provinceIrn\":\"\",\"orgFdType\":\"100262\",\"lyStationId\":\"\",\"rl\":\"150\",\"provinceLocalName\":\"云南省\",\"jzts\":\"\",\"status\":1}],\"dataType\":\"组织机构\"}";
			Bbk1015Result result = JSON.parseObject(str).toJavaObject(Bbk1015Result.class);*/


			if (200 == result.getCode()) {
				list = result.getData();

				for (Data1015Result datalist : list) {
					String irn = datalist.getIrn();
					String orgCode = datalist.getOrgCode();
					JSONObject bodytree = new JSONObject();
					bodytree.put("type", 1015);
					Map map = new HashMap();
					map.put("orgCode", orgCode);
					map.put("isTree", true);
					bodytree.put("map", map);


					HttpEntity<String> requestEntitytree = new HttpEntity<>(bodytree.toString(), headers);
					ResponseEntity<String> responseEntity2tree = restTemplate.exchange(imaConfig.getZbdbUrl() + "/queryData", HttpMethod.POST, requestEntitytree, String.class);

					if (200 == responseEntity2tree.getStatusCodeValue()) {
						Bbk1015Result resulttree = JSON.parseObject(responseEntity2tree.getBody()).toJavaObject(Bbk1015Result.class);

/*					if (200 == 200) {
						String str1 = "{\"msg\":\"success\",\"code\":200,\"data\":[{\"parent\":626609,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"38.49\",\"geomX\":\"106.235\",\"orgLevel\":\"3\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"3\",\"orgType\":\"\",\"orgCode\":\"08664010004\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力宁夏新能源开发有限公司\",\"irn\":105327,\"powerLocalName\":\"新能源\",\"orgCodeJt\":\"10061363\",\"orgLocal\":\"宁夏新能源\",\"provinceIrn\":150000,\"orgFdType\":\"626609\",\"lyStationId\":\"\",\"rl\":\"787.067\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":505,\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"37.23\",\"geomX\":\"105.24\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08664050001\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"马场湖光伏电站\",\"irn\":105162,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510270324331133\",\"orgLocal\":\"马场湖光伏电站\",\"provinceIrn\":640000,\"orgFdType\":\"100262\",\"lyStationId\":\"\",\"rl\":\"10\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":\"\",\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"37.3842\",\"geomX\":\"105.4092\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08664050002\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"宣和光伏电站\",\"irn\":423045,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510270324331134\",\"orgLocal\":\"宣和光伏电站\",\"provinceIrn\":640000,\"orgFdType\":\"100262\",\"lyStationId\":\"5f013810f7f140ac9e7edc29d2ba9f79\",\"rl\":\"29.952\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":67,\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"37.323\",\"geomX\":\"107.13171\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08664032302\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"宁夏盐池青山乡风电场\",\"irn\":105330,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"\",\"orgLocal\":\"青山风电场\",\"provinceIrn\":640000,\"orgFdType\":\"100261\",\"lyStationId\":\"gdFdC035\",\"rl\":\"148.5\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":91,\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"37.08\",\"geomX\":\"105.07\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08664050003\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力宁夏新能源开发有限公司中卫分公司\",\"irn\":105328,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410270324331135\",\"orgLocal\":\"香山风电场\",\"provinceIrn\":640000,\"orgFdType\":\"100261\",\"lyStationId\":\"gdFdC036\",\"rl\":\"99\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":58,\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"37.4346\",\"geomX\":\"105.5933\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08664038102\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力宁夏新能源开发有限公司青铜峡分公司\",\"irn\":105332,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410270322325128\",\"orgLocal\":\"牛首山风电场\",\"provinceIrn\":640000,\"orgFdType\":\"100261\",\"lyStationId\":\"gdFdC032\",\"rl\":\"148.5\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":99,\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"37.385\",\"geomX\":\"106.258\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08664030004\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电电力宁夏新能源开发有限公司吴忠分公司\",\"irn\":105334,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"410270322321129\",\"orgLocal\":\"石板泉风电场\",\"provinceIrn\":640000,\"orgFdType\":\"100261\",\"lyStationId\":\"gdFdC034\",\"rl\":\"198.5\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":116,\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"37.3071\",\"geomX\":\"106.9872\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08664032301\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"宁夏盐池麻黄山风电场\",\"irn\":105331,\"powerLocalName\":\"风电\",\"orgCodeJt\":\"\",\"orgLocal\":\"麻黄山风电场\",\"provinceIrn\":640000,\"orgFdType\":\"100261\",\"lyStationId\":\"gdFdC033\",\"rl\":\"69.5\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":43,\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"39.0016\",\"geomX\":\"106.4630\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08664020015\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"大武口光伏电站\",\"irn\":105163,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510270321318132\",\"orgLocal\":\"大武口光伏电站\",\"provinceIrn\":640000,\"orgFdType\":\"100262\",\"lyStationId\":\"23462fdb126b400a98220879f24566ec\",\"rl\":\"10\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":20,\"status\":1},{\"parent\":105327,\"districtCode\":\"宁夏回族自治区\",\"geomY\":\"38.9022\",\"geomX\":\"106.4612\",\"orgLevel\":\"4\",\"orgAddress\":\"\",\"remark\":\"\",\"jzPx\":\"\",\"orgLevelCode\":\"4\",\"orgType\":\"\",\"orgCode\":\"08653032403\",\"department\":\"\",\"orgPx\":\"\",\"orgName\":\"国电宁夏平罗光伏电站\",\"irn\":105161,\"powerLocalName\":\"光伏\",\"orgCodeJt\":\"510270321320131\",\"orgLocal\":\"平罗光伏电站\",\"provinceIrn\":640000,\"orgFdType\":\"100262\",\"lyStationId\":\"fbfb3a5f5c6941a8937d9ab29a6570ef\",\"rl\":\"29.5\",\"provinceLocalName\":\"宁夏回族自治区\",\"jzts\":61,\"status\":1}],\"dataType\":\"组织机构\"}";
						Bbk1015Result resulttree = JSON.parseObject(str1).toJavaObject(Bbk1015Result.class);*/


						if (200 == result.getCode()) {
							List<Data1015Result> listTree = resulttree.getData();
							listTree.remove(datalist);
							datalist.setChildren(listTree);
						}
					}
				}


				return list;
			}

		}
		return null;
	}


}
